Package com.documentum.fc.client.acs

# Interface IDfDmsConfig

All Superinterfaces:
  `IDfPersistentObject`, `IDfSysObject`, `IDfTypedObject`

public interface IDfDmsConfig extends IDfSysObject
Dms config object

- ## Field Summary

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessageConsumeUrl()`
  Returns URL that can be used by agents to consume messages from DMS in a pull mode
  `String`
  `getMessagePostUrl()`
  Returns URL that can be used to post messages to DMS
  `String`
  `getServerMajorVersion()`
  Returns server major version
  `String`
  `getServerMinorVersion()`
  Returns the server minor version
  `boolean`
  `isEnabled()`
  Returns whether DMS is enabled.
  `void`
  `setEnabled(boolean isEnabled)`
  Sets whether DMS is enabled.
  `void`
  `setMessageConsumeUrl(String url)`
  Sets URL that can be used by agents to consume messages from DMS in a pull mode
  `void`
  `setMessagePostUrl(String url)`
  Sets URL that can be used to post messages to DMS
  `void`
  `setServerMajorVersion(String majorVersion)`
  Sets server major version
  `void`
  `setServerMinorVersion(String minorVersion)`
  Sets the server minor version

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfSysObject

  `addDigitalSignature, addESignature, addNote, addReference, addRendition, addRenditionEx, addRenditionEx2, addRenditionEx3, appendContent, appendContentEx, appendFile, appendFileEx, appendPart, areAttributesModifiable, assemble, asVirtualDocument, attachPolicy, bindFile, branch, cancelCheckout, cancelCheckoutEx, cancelScheduledDemote, cancelScheduledPromote, cancelScheduledResume, cancelScheduledSuspend, canDemote, canPromote, canResume, canSuspend, checkin, checkinEx, checkout, checkoutEx, demote, destroyAllVersions, detachPolicy, disassemble, freeze, getAccessDate, getAccessorApplicationPermit, getAccessorCount, getAccessorName, getAccessorPermit, getAccessorPermitType, getAccessorXPermit, getAccessorXPermitNames, getACL, getACLDomain, getACLName, getAclRefValid, getAcsRequests, getAliasSet, getAliasSetId, getAntecedentId, getApplicationType, getAssembledFromId, getAuthors, getAuthorsCount, getBranchCount, getCabinetId, getChronicleId, getCollectionForContent, getCollectionForContentEx2, getCollectionForContentEx3, getCollectionForContentEx4, getComponentId, getComponentIdCount, getCompoundArchitecture, getContainId, getContainIdCount, getContent, getContentAvailability, getContentEx, getContentEx2, getContentEx3, getContentsId, getContentSize, getContentSize, getContentState, getContentStateCount, getContentType, getCreationDate, getCreatorName, getCurrentState, getCurrentStateName, getDirectDescendant, getDoubleContentAttr, getExceptionStateName, getFile, getFileEx, getFileEx2, getFolderId, getFolderIdCount, getFormat, getFrozenAssemblyCount, getFullText, getGroupName, getGroupPermit, getHasEvents, getHasFolder, getHasFrozenAssembly, getImplicitVersionLabel, getKeywords, getKeywordsCount, getLatestFlag, getLinkCount, getLinkHighCount, getLocations, getLockDate, getLockMachine, getLockOwner, getLogEntry, getMasterDocbase, getModifier, getModifyDate, getNextStateName, getObjectName, getOtherFileSize, getOwnerName, getOwnerPermit, getPageCount, getPath, getPathEx, getPathEx2, getPermissions, getPermit, getPermitEx, getPolicyId, getPolicyName, getPreviousStateName, getReferenceCount, getRemoteId, getRenditions, getResolutionLabel, getResumeState, getResumeStateName, getRetainerCount, getRetainerId, getRetainUntilDate, getRetentionDate, getRouters, getSpecialApp, getStatus, getStorageType, getStringContentAttr, getSubject, getTimeContentAttr, getTitle, getTypeName, getVdmPath, getVdmPathDQL, getVersionLabel, getVersionLabelCount, getVersionLabels, getVersionPolicy, getVersions, getWorkflows, getWorldPermit, getXPermit, getXPermitList, getXPermitNames, grant, grantPermit, hasPermission, insertContent, insertContentEx, insertFile, insertFileEx, insertPart, isArchived, isCheckedOut, isCheckedOutBy, isContentTransferCapabilityEnabled, isFrozen, isHidden, isImmutable, isLinkResolved, isPublic, isReference, isSuspended, isVirtualDocument, link, mark, mount, print, promote, prune, queue, refreshReference, removeContent, removeNote, removePart, removeRendition, removeRenditionEx, removeRenditionEx2, resolveAlias, resume, revertACL, revoke, revokePermit, saveAsNew, saveLock, scheduleDemote, schedulePromote, scheduleResume, scheduleSuspend, setACL, setACLDomain, setACLName, setApplicationType, setArchived, setAuthors, setCompoundArchitecture, setContent, setContentEx, setContentEx2, setContentType, setDoubleContentAttribute, setFile, setFileEx, setFullText, setGroupName, setGroupPermit, setHidden, setIsVirtualDocument, setKeywords, setLinkResolved, setLogEntry, setObjectName, setOwnerName, setOwnerPermit, setPath, setResolutionLabel, setSpecialApp, setStatus, setStorageType, setStringContentAttribute, setSubject, setTimeContentAttribute, setTitle, setWorldPermit, suspend, unfreeze, unlink, unmark, updatePart, updatePartEx, useACL, verifyESignature`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Method Details

  - ### isEnabled

    boolean isEnabled() throws DfException
    Returns whether DMS is enabled.
    Returns:
      true, if dms is enabled, false otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### setEnabled

    void setEnabled(boolean isEnabled) throws DfException
    Sets whether DMS is enabled.
    Parameters:
      `isEnabled` - true, if dms should be enabled, false otherwise.
    Throws:
      `DfException` - if a server error occurs

  - ### getMessagePostUrl

    String getMessagePostUrl() throws DfException
    Returns URL that can be used to post messages to DMS
    Returns:
      post message URL as `String`
    Throws:
      `DfException` - if a server error occurs

  - ### setMessagePostUrl

    void setMessagePostUrl(String url) throws DfException
    Sets URL that can be used to post messages to DMS
    Parameters:
      `url` - URL that can be used to post messages to DMS
    Throws:
      `DfException` - if a server error occurs

  - ### getMessageConsumeUrl

    String getMessageConsumeUrl() throws DfException
    Returns URL that can be used by agents to consume messages from DMS in a pull mode
    Returns:
      URL as `String`.
    Throws:
      `DfException` - if a server error occurs

  - ### setMessageConsumeUrl

    void setMessageConsumeUrl(String url) throws DfException
    Sets URL that can be used by agents to consume messages from DMS in a pull mode
    Parameters:
      `url` - URL as `String`
    Throws:
      `DfException` - if a server error occurs

  - ### getServerMajorVersion

    String getServerMajorVersion() throws DfException
    Returns server major version
    Returns:
      returns the server major version
    Throws:
      `DfException` - if a server error occurs

  - ### setServerMajorVersion

    void setServerMajorVersion(String majorVersion) throws DfException
    Sets server major version
    Parameters:
      `majorVersion` - server major version
    Throws:
      `DfException` - if a server error occurs

  - ### getServerMinorVersion

    String getServerMinorVersion() throws DfException
    Returns the server minor version
    Returns:
      returns the server minor version
    Throws:
      `DfException` - if a server error occurs

  - ### setServerMinorVersion

    void setServerMinorVersion(String minorVersion) throws DfException
    Sets the server minor version
    Parameters:
      `minorVersion` - server minor version
    Throws:
      `DfException` - if a server error occurs